	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour11")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -10.67)
	call psetr("subpage_upper_right_longitude", 31.55)
	call psetr("subpage_upper_right_latitude", 71.05)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 34.50)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "2m_temperature.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetc("contour_shade", "on")
	call psetr("contour_shade_max_level", 48.00)
	call pseti("contour_highlight_thickness", 5)
	call psetc("contour", "off")
	call pseti("contour_line_thickness", 3)
	call psetc("contour_label", "off")
	call pseti("contour_highlight_frequency", 100)
	call psetc("contour_hilo", "off")
	call pset1c("contour_shade_colour_list", (/"rgb(0.88,0.2,0.88)", "rgb(0.68,0.2,0.68)", "rgb(0.48,0.2,0.48)", "rgb(0.28,0.2,0.28)",&
		"rgb(0.2,0,0.4)    ", "rgb(0.35,0,0.5)   ", "blue_purple       ",&
		"greenish_blue     ", "rgb(0,0.8,1.0)    ", "blue_green        ",&
		"bluish_green      ", "yellow_green      ", "greenish_yellow   ",&
		"rgb(1,1,0.5)      ", "yellow            ", "orange_yellow     ",&
		"yellowish_orange  ", "rgb(1,0.45,0)     ", "red               ",&
		"rgb(0.8,0,0)      ", "burgundy          ", "rose              ",&
		"magenta           ", "rgb(1,0.5,1)      ", "rgb(1,0.75,1)     "/), 25)
	call psetr("contour_shade_min_level", -52.00)
	call psetr("contour_interval", 4.00)
	call psetc("legend", "on")
	call pcont

	call preset('contour_level_selection_type')
	call preset('contour_shade_colour_method')
	call preset('contour_shade_method')
	call preset('contour_shade')
	call preset('contour_shade_max_level')
	call preset('contour_highlight_thickness')
	call preset('contour')
	call preset('contour_line_thickness')
	call preset('contour_label')
	call preset('contour_highlight_frequency')
	call preset('contour_hilo')
	call preset('contour_shade_colour_list')
	call preset('contour_shade_min_level')
	call preset('contour_interval')
	call preset('legend')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">2m temperature - Contour shade (Range: -52 - 48)</font>",&
		"<magics_title/>                                                       "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
